<?php
//session_start();

$estado_session = session_status();
if($estado_session == PHP_SESSION_NONE){
    session_start();
}

include "verifica.php";
include("../conexion.php");

$xemp_codi_fk = $_REQUEST['emp_codi_fk'];
$xcriterio = trim($_REQUEST['xcriterio']);

if($xcriterio==""){
	exit;
}


$r = mysqli_query($conexion,"SELECT prd_codi, unimed_codi_fk, prc_precio, prd_codigo, prd_nombre, prctip_nombre, prdfam_codigo
							FROM productos p
							INNER JOIN productos_familia prdfam ON p.prdfam_codi_fk=prdfam.prdfam_codi 							
							INNER JOIN precios prc ON prc.prd_codi_fk=p.prd_codi
							INNER JOIN precios_tipo pt ON pt.prctip_codi=prc.prctip_codi_fk
							LEFT JOIN productos_codigos_proveedor pcp ON pcp.prd_codi_fk=p.prd_codi	
							WHERE prc.emp_codi_fk=$xemp_codi_fk AND
							p.prd_estado = 1 AND
							pt.prctip_codi = 2 AND
							prc.prc_estado = 1 AND
							(p.prd_codigo = '$xcriterio' OR
							CONCAT(prdfam_codigo,'-',prd_codigo) = '$xcriterio' OR
							pcp.prdcod_codigo1 = '$xcriterio' OR
							pcp.prdcod_codigo2 = '$xcriterio' OR
							pcp.prdcod_codigo3 = '$xcriterio' OR
							pcp.prdcod_codigo4 = '$xcriterio' OR
							pcp.prdcod_codigo5 = '$xcriterio' OR
							pcp.prdcod_codigo6 = '$xcriterio' OR
							pcp.prdcod_codigo7 = '$xcriterio' OR
							pcp.prdcod_codigo8 = '$xcriterio' OR
							pcp.prdcod_codigo9 = '$xcriterio' OR
							pcp.prdcod_codigo10 = '$xcriterio');");
							
							
if(mysqli_num_rows($r) <= 0){
	/////////////VERIFICANDO PRODUCTOS BALANZA///////////////
	$codido_barra = $xcriterio;
	
	$xindicador = substr($codido_barra,0,2);	
	$codigo_producto = substr($codido_barra,2,5);
	$peso = substr($codido_barra,7,5);
	$peso_kilos = $peso / 1000;	
	
	$xprd_codigo = "";
	$r_producto_balanza = mysqli_query($conexion,"SELECT prd_codi, unimed_codi_fk, prc_precio, prd_codigo, prd_nombre, prctip_nombre
								FROM productos p
								INNER JOIN precios prc ON prc.prd_codi_fk=p.prd_codi
								INNER JOIN precios_tipo pt ON pt.prctip_codi=prc.prctip_codi_fk
								LEFT JOIN productos_codigos_proveedor pcp ON pcp.prd_codi_fk=p.prd_codi	
								WHERE prc.emp_codi_fk = 1 
								AND p.prd_estado = 1 
								AND prc.prc_estado = 1 
								AND pt.prctip_codi = 2 
								AND p.prd_unidad_minima = 3
								AND p.prd_codigo = '$codigo_producto';");
	if(mysqli_num_rows($r_producto_balanza)>0){

		?>
		<script language="javascript">
		//alert("VERIFICANDO.");
		</script>
		<?php	


		while($row_producto_balanza = mysqli_fetch_array($r_producto_balanza)){
			$xprd_nombre = $row_producto_balanza['prd_nombre'];
			$xprd_codi = $row_producto_balanza['prd_codi'];
			$xprd_codigo = $row_producto_balanza['prd_codigo'];
			$xprc_precio = $row_producto_balanza['prc_precio'];		
			$xunimed_codi = $row_producto_balanza['unimed_codi_fk'];
		}
		
		if($xprd_codigo == $codigo_producto and $xindicador =='24'){
		?>		
			<script language="javascript">
			parent.agregar_item_pedidos(<?php echo $xprd_codi;?>,
												'adicionar',
												'temporal',
												<?php echo $xunimed_codi;?>,
												<?php echo $xprc_precio;?>,
												'<?php echo $peso_kilos;?>');
			</script>
		<?php
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: CODIGO NO DEFINIDO.");
			</script>
			<?php					
		}							
	}else{
		?>
		<script language="javascript">
		alert("ADVERTENCIA: CODIGO NO IDENTIFICADO.");
		</script>
		<?php	
	}			
	/////////////VERIFICANDO PRODUCTOS BALANZA///////////////
}else{
	if(mysqli_num_rows($r) > 1){
		?>
		<script language="javascript">
		parent.parent.adicionar_item_pedidos_detalle('adicionar');
		
		parent.parent.document.getElementById('xcriterio2').value = "<?php echo $xcriterio;?>"; 
		
		alert("MAS DE UN RESULTADO.");
		</script>
		<?php
	}else{
	
		while($row = mysqli_fetch_array($r)){
			$xprd_codi = $row['prd_codi'];	
			$xprc_precio = $row['prc_precio'];
			$xunimed_codi_fk = $row['unimed_codi_fk'];			
		}	
		?>		
		<script language="javascript">
		//alert("OK3.");
		//frame_pedidos_detalle_item.
		parent.agregar_item_pedidos(<?php echo $xprd_codi;?>,
											'adicionar',
											'temporal',
											<?php echo $xunimed_codi_fk;?>,
											<?php echo $xprc_precio;?>,
											'');
											
		//parent.parent.document.getElementById('xcodigo_barras').focus();									
		//parent.parent.document.getElementById('xcodigo_barras').value="";
		</script>
		<?php	
	}
}


?>